PAPI_num_counters(3)

NAME
PAPI_num_counters -

Get the number of hardware counters available on the system.

SYNOPSIS

Detailed Description

@par C Interface:

int PAPI_num_counters( void );

Postcondition:
    Initializes the library to PAPI_HIGH_LEVEL_INITED if necessary.

Return values:
    PAPI_EINVAL papi.h is different from the version used to compile the PAPI library.
    PAPI_ENOMEM Insufficient memory to complete the operation.
    PAPI_ESYS A system or C library call failed inside PAPI, see the errno variable.

Examples:

    * int num_hwcntrs;
    * //  The installation does not support PAPI
    * if ((num_hwcntrs = PAPI_num_counters()) < 0 )
    *   handle_error(1);
    * //  The installation supports PAPI, but has no counters
    * if ((num_hwcntrs = PAPI_num_counters()) == 0 )
    *   fprintf(stderr,"Info:: This machine does not provide hardware counters.);
    *

PAPI_num_counters() returns the optimal length of the values array for the high level functions. This value corresponds to the number of hardware counters supported by the current CPU component.

Note:
    This function only works for the CPU component. To determine the number of counters on another component, use the low level PAPI_num_cmp_hwctrs().

Author

Generated automatically by Doxygen for PAPI from the source code.